import { InjectionToken, TemplateRef } from '@angular/core';
export declare const NGX_BLOCK_LOADING_OPTIONS: InjectionToken<unknown>;
export interface NgxBlockLoadingOptions {
    routesToIgnore: Array<string | RegExp>;
    loadingTemplate?: TemplateRef<any>;
    inTime?: string;
    outTime?: string;
    loaderOutTime?: string;
    containerHeight?: string;
    loadingContainerClass?: string;
    loadingClass?: string;
    loadingFullPageClass?: string;
}
export declare const DEFAULT_OPTIONS: NgxBlockLoadingOptions;
